package de.oaa.xxx.gruppe.repository;

import de.oaa.xxx.gruppe.entity.BeitragMeldungEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface BeitragMeldungRepository extends JpaRepository<BeitragMeldungEntity, UUID> {

    List<BeitragMeldungEntity> findByBeitragId(UUID beitragId);

    List<BeitragMeldungEntity> findByBeitragIdIn(Collection<UUID> beitragIds);

    Optional<BeitragMeldungEntity> findByBeitragIdAndMelderId(UUID beitragId, UUID melderId);

    @Transactional
    void deleteByBeitragId(UUID beitragId);
}
